VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties
vmware::vapi::std::errors::InvalidRequest Class Reference

The `InvalidRequest` error indicates that the request is malformed in such a way that the server is unable to process it. More...

Inherits vmware::vapi::std::errors::Error.

List of all members.

## Public Member Functions
| InvalidRequest (global::System.Collections.Generic.List< vmware.vapi.std.LocalizableMessage > messages, vmware.vapi.bindings.IStructure data)
| Creates a new instance of this type using the given arguments.
| InvalidRequest ()
| Creates a default new instance.
override vmware.vapi.bindings.type.StructType | _GetType ()
override vmware.vapi.data.StructValue | _GetDataValue ()
override void | _Validate ()
override bool | _HasTypeNameOf< T > ()
override T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
## Properties
override string | Message`[get]`

## Detailed Description

The `InvalidRequest` error indicates that the request is malformed in such a way that the server is unable to process it.

Examples:

- The XML in a SOAP request is not well-formed so the server cannot parse the request.
- The XML in a SOAP request is well-formed but does not match the structure required by the SOAP specification.
- A JSON-RPC request is not valid JSON.
- The JSON sent in a JSON-RPC request is not a valid JSON-RPC Request object.
- The Request object from a JSON-RPC request does not match the structure required by the API infrastructure.

Counterexamples:

- The parameter has a value that is not with the required range. The InvalidArgument error would be used instead.
- The name of the method specified in the request doesn't not match any known method. The NotFound error would be used instead.

Some transport protocols (for example JSON-RPC) include their own mechanism for reporting these kinds of errors, and the API infrastructure for a programming language may expose the errors using a language specific mechanism, so this error might not be used.

## Constructor & Destructor Documentation

vmware::vapi::std::errors::InvalidRequest::InvalidRequest | ( | global::System.Collections.Generic.List< vmware.vapi.std.LocalizableMessage > | messages,
|  | vmware.vapi.bindings.IStructure | data
| ) |  | `[inline]`

Creates a new instance of this type using the given arguments.

vmware::vapi::std::errors::InvalidRequest::InvalidRequest | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

override T vmware::vapi::std::errors::InvalidRequest::_ConvertTo< T > | ( |  | ) | `[inline]`

Reimplemented from vmware::vapi::std::errors::Error.

override vmware.vapi.data.StructValue vmware::vapi::std::errors::InvalidRequest::_GetDataValue | ( |  | ) | `[inline]`

Reimplemented from vmware::vapi::std::errors::Error.

override vmware.vapi.bindings.type.StructType vmware::vapi::std::errors::InvalidRequest::_GetType | ( |  | ) | `[inline, virtual]`

Reimplemented from vmware::vapi::std::errors::Error.

override bool vmware::vapi::std::errors::InvalidRequest::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Reimplemented from vmware::vapi::std::errors::Error.

override void vmware::vapi::std::errors::InvalidRequest::_Validate | ( |  | ) | `[inline, virtual]`

Reimplemented from vmware::vapi::std::errors::Error.

override bool vmware::vapi::std::errors::InvalidRequest::Equals | ( | object | obj | ) | `[inline]`

Reimplemented from vmware::vapi::std::errors::Error.

override int vmware::vapi::std::errors::InvalidRequest::GetHashCode | ( |  | ) | `[inline]`

Reimplemented from vmware::vapi::std::errors::Error.

## Property Documentation

override string vmware::vapi::std::errors::InvalidRequest::Message`[get]`

Reimplemented from vmware::vapi::std::errors::Error.

The documentation for this class was generated from the following file:

- InvalidRequest.cs